void lcd_sendc(unsigned char temp1);
void lcd_sends(char *data);
void lcd_command(unsigned char temp1);
void lcd_enable(void);
void lcd_init(void);
void lcd_home(void);
void lcd_clear(void);
void lcd_up(unsigned char temp1);
void set_cursor(uint8_t x, uint8_t y);
 
// LCD Befehle
 
#define CLEAR_DISPLAY 0x01
#define CURSOR_HOME   0x02
 
// Pinbelegung fr das LCD, an verwendete Pins anpassen
 
#ifdef __AVR_ATmega8__
	// Datenleitungen
	#define LCD_PORT      PORTC
	#define LCD_DDR       DDRC/*
	#define D4       	  PC0
	#define D5       	  PC1
	#define D6       	  PC2
	#define D7       	  PC3*/
	// Steuerleitungen
	#define LCD_PORT_RSEN PORTB
	#define LCD_DDR_RSEN  DDRB
	#define LCD_RS        PC0
	#define LCD_EN        PC1
#else
	// Datenleitungen
	#define LCD_PORT      PORTA
	#define LCD_DDR       DDRA
	// Steuerleitungen
	#define LCD_PORT_RSEN PORTB
	#define LCD_DDR_RSEN  DDRB
	#define LCD_RS        PB2
	#define LCD_EN        PB3
#endif

